package com.tidecloud.dataacceptance.entity;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**   
 * @author: chudk 
 * @date:   2017年12月28日 下午3:46:45   
 */
public class HrtStart implements Serializable {
    
    private static final long serialVersionUID = 3335186396827200693L;
    private Integer hrtCount;
    private String deviceId;
    private Date date;
    public Integer getHrtCount() {
        return hrtCount;
    }
    public void setHrtCount(Integer hrtCount) {
        this.hrtCount = hrtCount;
    }
    public String getDeviceId() {
        return deviceId;
    }
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
    public Date getDate() {
        return date;
    }
    public void setDate(Date date) {
        this.date = date;
    }
    
    public static String buildHrtStart(HrtStart hrtStart){
        Date date = hrtStart.getDate();
        String deviceId = hrtStart.getDeviceId();
        Integer hrtCount = hrtStart.getHrtCount();
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyMMddHHmmss");
        String dateStr = dateFormat.format(date);
        
        StringBuilder builder = new StringBuilder();
        builder.append(deviceId).append(",");
        builder.append(dateStr).append(",");
        builder.append(hrtCount);
        return builder.toString();
    }
    
}
